Bug 590537 - Firefox and long POST data in mod_gnutls
Firefox and long POST data in mod_gnutls
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mod_gnutls (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Erick Calder
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 02:34 EDT by Jan ONDREJ
Modified: 2010-12-03 09:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:52:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2010-05-10 02:34:38 EDT
Description of problem:
Some POST data can't be uploaded with mod_gnutls-0.5.5. This is already fixed upstream, so please update Fedora package.

Version-Release number of selected component (if applicable):
mod_gnutls-0.5.5-5.fc12.x86_64

How reproducible:
90% (not always)

Steps to Reproduce:
1. create form with method=post
2. add some options to make it larger (not tested by me)

I can't upload my original script, but it is also confirmed with 
  
Actual results:
empty page

Expected results:
correct page

Additional info:
I have a scratch build, which fixes this problem, so I think there is no need to really test this bug. Also this is upstream Changelog:

    Version 0.5.6:
    03/24/2010
        *           Corrected issues with firefox and long POST data.
        *           Added support for chained client certificates.
        *           Several other bug fixes.

If you have no time, I can make this update.
Comment 1 Bug Zapper 2010-11-03 11:13:23 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jan ONDREJ 2010-11-04 03:46:29 EDT
Same problem for f13, f14. Not changing version to 13, because this bug is ignored. :-(
Is mod_gnutls orphan?
Comment 3 Erick Calder 2010-11-04 11:32:22 EDT
sorry Jan, it's not orphaned, it's just that the submission process for Fedora is complicated and I've forgotten how to do it.  I need to find someone to hold my hand with it and take the time to refresh it.  If you're familiar with the process perhaps you can help me...
Comment 4 Bug Zapper 2010-12-03 09:52:35 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.